/*
 * Jakelib2 - General purpose C++ library
 * Copyright (C) 2001 Florian Wolff  (florian@donuz.de)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: Runtime.h,v 1.6 2002/06/08 10:09:40 florian Exp $
 */

#ifndef INCLUDE_JAKELIB2_LANG_RUNTIME_H
# define INCLUDE_JAKELIB2_LANG_RUNTIME_H

namespace jakelib {
  namespace lang {

    /**
     * @class Runtime
     * @version $Id: Runtime.h,v 1.6 2002/06/08 10:09:40 florian Exp $
     * @author Florian 'Overflo' Wolff (florian@donuz.de)
     */
    class Runtime : public Object
      {
      private:
	static Runtime* currentRuntime;

      public:

	Runtime();

	JAKELIB_DECLARE_CLASS(Runtime);

	static Runtime* getRuntime();

	void gc();
      };
  }
}
#endif

