/*
 * Jakelib2 - General purpose C++ library
 * Copyright (C) 2001 Florian Wolff  (florian@donuz.de)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: all.h,v 1.13 2003/08/28 16:55:20 florian Exp $
 */

#ifndef JAKELIB2_H
# include "../jakelib2.h"
#endif


#include <jakelib2/lang/Boolean.h>
#include <jakelib2/lang/Byte.h>
#include <jakelib2/lang/Character.h>
#include <jakelib2/lang/Double.h>
#include <jakelib2/lang/Exception.h>
#include <jakelib2/lang/Float.h>
#include <jakelib2/lang/Integer.h>
#include <jakelib2/lang/Long.h>
#include <jakelib2/lang/Math.h>
#include <jakelib2/lang/Mutex.h>
#include <jakelib2/lang/Process.h>
#include <jakelib2/lang/Runtime.h>
#include <jakelib2/lang/Semaphore.h>
#include <jakelib2/lang/StackTraceElement.h>
#include <jakelib2/lang/Synchronizeable.h>
#include <jakelib2/lang/Synchronizer.h>
#include <jakelib2/lang/System.h>
#include <jakelib2/lang/Thread.h>


