// -*- c++ -*-

/*
 * Jakelib2 - General purpose C++ library
 * Copyright (C) 2001 Florian Wolff  (florian@donuz.de)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: ByteToCharCP1252.h,v 1.1 2003/09/25 14:17:20 florian Exp $
 */

#ifndef INCLUDE_JAKELIB2_TEXT_ENC_BYTETOCHARCP1252_H
# define INCLUDE_JAKELIB2_TEXT_ENC_BYTETOCHARCP1252_H
#include "ByteToCharSingleByte.h"

namespace jakelib {
  namespace text {
    namespace enc {


      /**
       * @brief
       *
       * @class ByteToCharCP1252
       * @version $Id: ByteToCharCP1252.h,v 1.1 2003/09/25 14:17:20 florian Exp $
       * @author Florian 'Overflo' Wolff (florian@donuz.de)
       */
      class ByteToCharCP1252 : public ByteToCharSingleByte
	{
	public:
	  ByteToCharCP1252();

	  JAKELIB_DECLARE_CLASS(ByteToCharCP1252);
	};
    }
  }
}

#endif
