/*
 * Jakelib2 - General purpose C++ library
 * Copyright (C) 2001 Florian Wolff  (florian@donuz.de)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: CharToByteISO8859_11.h,v 1.2 2002/06/08 10:09:41 florian Exp $
 */

#ifndef INCLUDE_JAKELIB2_TEXT_ENC_CHARTOBYTEISO8859_11_H
# define INCLUDE_JAKELIB2_TEXT_ENC_CHARTOBYTEISO8859_11_H
#include "CharToByteSingleByte.h"

namespace jakelib {
  namespace text {
    namespace enc {


      /**
       * @brief
       *
       * @class CharToByteISO8859_11
       * @version $Id: CharToByteISO8859_11.h,v 1.2 2002/06/08 10:09:41 florian Exp $
       * @author Florian 'Overflo' Wolff (florian@donuz.de)
       */
      class CharToByteISO8859_11 : public CharToByteSingleByte
	{
	public:
	  CharToByteISO8859_11();

	protected:
	  CharToByteConverter* newInstance();

	  JAKELIB_DECLARE_CLASS(CharToByteISO8859_11);
	};
    }
  }
}

#endif
