/*
 * Jakelib2 - General purpose C++ library
 * Copyright (C) 2001 Florian Wolff  (florian@donuz.de)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: HashEntry.h,v 1.12 2002/09/15 08:23:28 florian Exp $
 */

#ifndef INCLUDE_JAKELIB2_UTIL_HASHENTRY_H
# define INCLUDE_JAKELIB2_UTIL_HASHENTRY_H

namespace jakelib {
  namespace util {

    /**
     * @class HashEntry
     * @version $Id: HashEntry.h,v 1.12 2002/09/15 08:23:28 florian Exp $
     * @author Florian 'Overflo' Wolff (florian@donuz.de)
     */
    class HashEntry : public jakelib::lang::Object
      {
      public:
	int hash;
	jakelib::lang::Object* key;
	jakelib::lang::Object* value;
  
	HashEntry(int hash, jakelib::lang::Object* key, jakelib::lang::Object* value);

	JAKELIB_DECLARE_CLASS(HashEntry);
  
	~HashEntry();
      };

  }
}
#endif

